Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package javac
  Definition Classes
    nsc
-  trait JavaScanners extends ScannersCommon
  Definition Classes
    javac
- AbstractJavaScanner
- AbstractJavaTokenData
- CommonTokenData
- DocScanner
- JavaScanner
- JavaScannerConfiguration
- JavaTokenData
- JavaUnitScanner
- ScannerCommon

c

scala.tools.nsc.javac.JavaScanners

# JavaUnitScanner 

###

#### class JavaUnitScanner extends JavaScanner

Source
  JavaScanners.scala

Linear Supertypes
JavaScanner, JavaScanners.DocScanner, JavaScanners.ScannerCommon, JavaScanners.CommonTokenData, Cloneable, java.lang.Cloneable, JavaTokenData, AbstractJavaScanner, AbstractJavaTokenData, AnyRef, Any
Known Subclasses
ScaladocJavaUnitScanner
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. JavaUnitScanner
2. JavaScanner
3. DocScanner
4. ScannerCommon
5. CommonTokenData
6. Cloneable
7. Cloneable
8. JavaTokenData
9. AbstractJavaScanner
10. AbstractJavaTokenData
11. AnyRef
12. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new JavaUnitScanner(unit: Global.CompilationUnit)

### Type Members

1.  type ScanPosition = Int
   Definition Classes
     JavaTokenData → AbstractJavaTokenData

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from JavaUnitScanner to any2stringadd[JavaUnitScanner] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (JavaUnitScanner, B)
   Implicit
     This member is added by an implicit conversion from JavaUnitScanner to ArrowAssoc[JavaUnitScanner] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  val NoPos: Int
   Definition Classes
     JavaTokenData → AbstractJavaTokenData
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  val base: Int

   the base of a number

   the base of a number

   Definition Classes
     JavaTokenData
9.  def beginDocComment(prefix: String): Unit
   Attributes
     protected
   Definition Classes
     DocScanner
10.  val cbuf: collection.mutable.StringBuilder

    character buffer for literals

    character buffer for literals

    Definition Classes
      JavaScanner
11.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
12.  def copyFrom(td: JavaTokenData): Unit
    Definition Classes
      JavaTokenData
13.  def currentPos: Global.Position
    Definition Classes
      JavaScanner → AbstractJavaScanner
14.  def deprecationWarning(pos: Int, msg: String, since: String): Unit
    Definition Classes
      JavaUnitScanner → ScannerCommon
15.  def discardDocBuffer(): Unit

    To prevent doc comments attached to expressions from leaking out of scope onto the next documentable entity, they are discarded upon passing a right brace, bracket, or parenthesis.

    To prevent doc comments attached to expressions from leaking out of scope onto the next documentable entity, they are discarded upon passing a right brace, bracket, or parenthesis.

    Definition Classes
      DocScanner
16.  def ensuring(cond: (JavaUnitScanner) ⇒ Boolean, msg: ⇒ Any): JavaUnitScanner
    Implicit
      This member is added by an implicit conversion from JavaUnitScanner to Ensuring[JavaUnitScanner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  def ensuring(cond: (JavaUnitScanner) ⇒ Boolean): JavaUnitScanner
    Implicit
      This member is added by an implicit conversion from JavaUnitScanner to Ensuring[JavaUnitScanner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  def ensuring(cond: Boolean, msg: ⇒ Any): JavaUnitScanner
    Implicit
      This member is added by an implicit conversion from JavaUnitScanner to Ensuring[JavaUnitScanner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
19.  def ensuring(cond: Boolean): JavaUnitScanner
    Implicit
      This member is added by an implicit conversion from JavaUnitScanner to Ensuring[JavaUnitScanner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
20.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
22.  def error(pos: Int, msg: String): Unit
    Definition Classes
      JavaUnitScanner → ScannerCommon
23.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
24.  def finishDocComment(): Unit
    Attributes
      protected
    Definition Classes
      DocScanner
25.  def floatVal(negated: Boolean): Double

    convert name, base to double value

    convert name, base to double value

    Definition Classes
      JavaScanner → AbstractJavaScanner
26.  def floatVal: Double
    Definition Classes
      JavaScanner → AbstractJavaScanner
27.  def flushDoc(): Global.DocComment
    Definition Classes
      DocScanner
28.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from JavaUnitScanner to StringFormat[JavaUnitScanner] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
29.  implicit def g2p(pos: Int): Global.Position
    Definition Classes
      JavaUnitScanner → AbstractJavaScanner
30.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
31.  def getFraction(): Unit

    read fractional part and exponent of floating point number if one is present.

    read fractional part and exponent of floating point number if one is present.

    Attributes
      protected
    Definition Classes
      JavaScanner
32.  def getNumber(): Unit

    read a number into name and set base

    read a number into name and set base

    Attributes
      protected
    Definition Classes
      JavaScanner
33.  def getlitch(): AnyVal

    read next character in character or string literal:

    read next character in character or string literal:

    Attributes
      protected
    Definition Classes
      JavaScanner
34.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
35.  var in: JavaCharArrayReader
    Definition Classes
      JavaScanner
36.  def incompleteInputError(pos: Int, msg: String): Unit
    Definition Classes
      JavaUnitScanner → ScannerCommon
37.  def incompleteInputError(msg: String): Unit

    signal an error where the input ended in the middle of a token

    signal an error where the input ended in the middle of a token

    Definition Classes
      JavaScanner
38.  def init(): Unit

    INIT: read lookahead character and token.

    INIT: read lookahead character and token.

    Definition Classes
      JavaScanner
39.  def intVal(negated: Boolean): Long

    convert name to long value

    convert name to long value

    Definition Classes
      JavaScanner → AbstractJavaScanner
40.  def intVal: Long
    Definition Classes
      JavaScanner → AbstractJavaScanner
41.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
42.  val lastPos: Int

    the first character position after the previous token

    the first character position after the previous token

    Definition Classes
      JavaTokenData
43.  def lookaheadToken: Int
    Definition Classes
      JavaScanner
44.  val name: Global.TermName

    the name of an identifier or token

    the name of an identifier or token

    Definition Classes
      JavaTokenData → AbstractJavaTokenData
45.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
46.  val next: JavaTokenData

    we need one token lookahead

    we need one token lookahead

    Definition Classes
      JavaScanner → AbstractJavaScanner
47.  def nextToken(): Unit
    Definition Classes
      JavaScanner → AbstractJavaScanner
48.  final def notify(): Unit
    Definition Classes
      AnyRef
49.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
50.  val pos: Int

    the token's position

    the token's position

    Definition Classes
      JavaTokenData → AbstractJavaTokenData
51.  val prev: JavaTokenData
    Definition Classes
      JavaScanner
52.  def processCommentChar(): Unit
    Attributes
      protected
    Definition Classes
      DocScanner
53.  def putChar(c: Char): Unit

    append Unicode character to "lit" buffer

    append Unicode character to "lit" buffer

    Attributes
      protected
    Definition Classes
      JavaScanner
54.  final def putCommentChar(): Unit
    Attributes
      protected
    Definition Classes
      JavaScanner
55.  def registerDocComment(raw: String, pos: Global.Position): Unit
    Definition Classes
      DocScanner
56.  final def skipBlockComment(isDoc: Boolean): Unit
    Attributes
      protected
    Definition Classes
      JavaScanner
    Annotations
      @tailrec()
57.  final def skipComment(): Boolean
    Attributes
      protected
    Definition Classes
      JavaScanner
58.  final def skipLineComment(): Unit
    Attributes
      protected
    Definition Classes
      JavaScanner
    Annotations
      @tailrec()
59.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
60.  def syntaxError(msg: String): Unit

    generate an error at the current token position

    generate an error at the current token position

    Definition Classes
      JavaScanner
61.  def syntaxError(pos: Int, msg: String): Unit

    generate an error at the given position

    generate an error at the given position

    Definition Classes
      JavaScanner
62.  def toString(): String
    Definition Classes
      JavaScanner → AnyRef → Any
63.  val token: Int

    the next token

    the next token

    Definition Classes
      JavaTokenData → AbstractJavaTokenData
64.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
65.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
66.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
67.  def →[B](y: B): (JavaUnitScanner, B)
    Implicit
      This member is added by an implicit conversion from JavaUnitScanner to ArrowAssoc[JavaUnitScanner] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from JavaScanner

### Inherited from JavaScanners.DocScanner

### Inherited from JavaScanners.ScannerCommon

### Inherited from JavaScanners.CommonTokenData

### Inherited from Cloneable

### Inherited from java.lang.Cloneable

### Inherited from JavaTokenData

### Inherited from AbstractJavaScanner

### Inherited from AbstractJavaTokenData

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from JavaUnitScanner to any2stringadd[JavaUnitScanner]

### Inherited by implicit conversion StringFormat from JavaUnitScanner to StringFormat[JavaUnitScanner]

### Inherited by implicit conversion Ensuring from JavaUnitScanner to Ensuring[JavaUnitScanner]

### Inherited by implicit conversion ArrowAssoc from JavaUnitScanner to ArrowAssoc[JavaUnitScanner]

### Ungrouped